# dbnomics-api -- DBnomics Web API
# By: DBnomics Team <christophe.benz@cepremap.org>
#
# Copyright (C) 2017-2020 Cepremap
# https://git.nomics.world/dbnomics/dbnomics-api
#
# dbnomics-api is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# dbnomics-api is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


"""Application settings."""

from environs import Env

env = Env()
env.read_env()

# Override in .env for local development

BASE_PATH = env.str("BASE_PATH", default=None)
LOG_LEVEL = env.log_level("LOG_LEVEL", "INFO")

SOLR_BASE_URL = env.str("SOLR_BASE_URL")
SOLR_CORE_NAME = env.str("SOLR_CORE_NAME")

STORAGE_TYPE = env.str("STORAGE_TYPE")
JSON_DATA_BASE_DIR = env.path("JSON_DATA_BASE_DIR", default=None)
S3_ENDPOINT_URL = env.str("S3_ENDPOINT_URL", default=None)
S3_REGION_NAME = env.str("S3_REGION_NAME", default=None)

SEARCH_RESULTS_LIMIT = env.int("SEARCH_RESULTS_LIMIT", 100)
SERIES_LIMIT = env.int("SERIES_LIMIT", 1000)

MATOMO_AUTH_TOKEN = env.str("MATOMO_AUTH_TOKEN", default=None)
MATOMO_BASE_URL = env.str("MATOMO_BASE_URL", default=None)
MATOMO_SITE_ID = env.int("MATOMO_SITE_ID", default=None)

DEBUG_PYTHON_HTTP_CLIENT = env.bool("DEBUG_PYTHON_HTTP_CLIENT", default=False)
ENABLE_PROFILER_MIDDLEWARE = env.bool("ENABLE_PROFILER_MIDDLEWARE", default=False)

SENTRY_DSN = env.str("SENTRY_DSN", default=None)
